# Monochrome TI calc pride flags

It's a design I made for TI pride flags. There's one for each model of TI monochrome graphing calculators with flash app support.

Each of them checked flash apps and the OS for a RSA-512 signature, so you couldn't easily make your own without a license from TI. However, everything changed in 2009 when Benjamin Moody factored the key for the TI-83+, and the community quickly factored the others.

The flags shown here have been derived from those private keys.

[Read more about it](https://en.wikipedia.org/wiki/Texas_Instruments_signing_key_controversy)

## How to read

Basically, it's a grid of 7x3, each of the cells' 24-bit color, read left to right and top to bottom, reads 24 bits of the value of `d`. The last 8 bits is encoded in the sine wave's color in 8-bit greyscale.

## 01: TI-92 Plus OS signing key

![](png/01.png)

## 02: TI-73/Explorer OS signing key

![](png/02.png)

## 03: TI-89 OS signing key

![](png/03.png)

## 04: TI-83 Plus / Silver Edition OS signing key

![](png/04.png)

## 08: Voyage 200 OS signing key

![](png/08.png)

## 09: TI-89 Titanium OS signing key

![](png/09.png)

## 0A: TI-84 Plus / TI-84 Plus Silver Edition OS signing key

![](png/0A.png)

## 0101: TI-92 Plus Flash application signing key

![](png/0101.png)

## 0102: TI-73/Explorer Flash application signing key

![](png/0102.png)

## 0103: TI-89 Flash application signing key

![](png/0103.png)

## 0104: TI-83 Plus Flash application signing key

![](png/0104.png)

## 0108: Voyage 200 Flash application signing key

![](png/0108.png)

## 0109: TI-89 Titanium Flash application signing key

![](png/0109.png)

## 010A: TI-84+ / TI-84 Silver Flash application signing key

![](png/010A.png)

## 010F: TI-84 Plus C Silver Edition Flash application signing key

![](png/010F.png)

## Date-stamp signing key

Valid for:

* TI-73 / Explorer
* TI-83 Plus / TI-83 Silver Edition
* TI-84 Plus / TI-84 Silver Edition
* TI-84 Plus C Silver Edition
* TI-89 / TI-89 Titanium
* TI-92 Plus
* Voyage 200

![](png/datestamp.png)

## License

The entire contents of this repo is illegal. Have fun. If you really need a license, the generator script and the design are licensed under CC BY-NC-SA 4.0.

The keys were pulled from [BrandonW's website](https://brandonw.net/calculators/keys/), and are (dubiously) property of TI.
